Package fr.gouv.vitam.worker.core.handler

# Class CheckVersionActionHandler

java.lang.Object
fr.gouv.vitam.worker.core.handler.ActionHandler
fr.gouv.vitam.worker.core.handler.CheckVersionActionHandler

All Implemented Interfaces:
  `VitamAutoCloseable`, `AutoCloseable`

public class CheckVersionActionHandler extends ActionHandler
CheckVersionActionHandler handler class used to check the versions of DataObject in manifest

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CheckVersionActionHandler()`
  `CheckVersionActionHandler(SedaUtilsFactory sedaUtilsFactory)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `checkMandatoryIOParameter(HandlerIO handler)`
  Check mandatory parameter
  `ItemStatus`
  `execute(WorkerParameters params, HandlerIO handlerIO)`
  Execute an action
  `static final String`
  `getId()`

  ### Methods inherited from class fr.gouv.vitam.worker.core.handler.ActionHandler

  `checkMandatoryParameters, close, executeList, updateDetailItemStatus`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CheckVersionActionHandler

    public CheckVersionActionHandler()

  - ### CheckVersionActionHandler

    public CheckVersionActionHandler(SedaUtilsFactory sedaUtilsFactory)

- ## Method Details

  - ### getId

    public static final String getId()
    Returns:
      HANDLER_ID

  - ### execute

    public ItemStatus execute(WorkerParameters params, HandlerIO handlerIO)
    Description copied from class: `ActionHandler`
    Execute an action
    Overrides:
      `execute` in class `ActionHandler`
    Parameters:
      `params` - `WorkerParameters`
      `handlerIO` - the handlerIo
    Returns:
      CompositeItemStatus:response contains a list of functional message and status code

  - ### checkMandatoryIOParameter

    public void checkMandatoryIOParameter(HandlerIO handler) throws ProcessingException
    Description copied from class: `ActionHandler`
    Check mandatory parameter
    Overrides:
      `checkMandatoryIOParameter` in class `ActionHandler`
    Parameters:
      `handler` - input output list
    Throws:
      `ProcessingException` - when handler io is not complete